/* functionSlideShow.cpp demonstrates the use of class CartesianSystem.
 *
 * Note:  We plot two functions f(x) and g(x).
 *        We seem to be unable to set the brush color
 *          to anything other than BLACK using VC++ 6.0, ServicePack 5,

 *          and version 1.5 of the CMU Graphics library.
 *        8^(
 */
 
#include "CartesianSystem.h"
#include <cmath>
using namespace std;

double f(double x);
double f(double x) { return x * cos(x); }

double g(double x);
double g(double x) { return x; }

int main()
{
  CartesianSystem grid;
  
  grid.setPenWidth(3);
  grid.drawRectangle(-1, -1, 1, 1, PURPLE, FRAME);
  grid.drawCircle(0, 0, 1, GREEN, FRAME);
  grid.drawFunction(g, BLUE);
  grid.drawFunction(f, RED);
  
  grid.waitForMouseClick();
  grid.clear(YELLOW);
  grid.setPenWidth(3);
  grid.drawFunction(g, DARKGREEN);
  grid.drawFunction(f, BLUE);
  
  grid.waitForMouseClick();
  grid.clear(AQUAMARINE);
  grid.drawAxis(YELLOW, 3);
  grid.drawFunction(g, BLACK);
  grid.drawFunction(f, RED);
}
